/**
 * Given an accept header like `text/html, application/json;q=0.9` it will parse
 * it and return an array of object with the mime-type, subtype and params of
 * each media type.
 * @param header The Accept header value
 * @returns An array of objects with the type, subtype and params of each media type
 */
export declare function parseAcceptHeader(header: string): {
    type: string;
    subtype: string;
    params: any;
}[];
